# FormBuilder Class Reference

Inheritance diagram for FormBuilder:
[legend]

List of all members.

## Public Member Functions

| fillOwn ($object, &$result)

## Protected Member Functions

| createEmpty ()

## Detailed Description

Definition at line 12 of file FormBuilder.class.php.

## Member Function Documentation

FormBuilder::createEmpty | ( |  | ) | `[protected]`

Returns:
  Form

Reimplemented from PrototypedBuilder.

Definition at line 17 of file FormBuilder.class.php.

References Form::create().

Here is the call graph for this function:

FormBuilder::fillOwn | ( | $ | object,
|  | &$ | result |
| ) |  |  |

Returns:
  Form

Reimplemented from PrototypedBuilder.

Definition at line 25 of file FormBuilder.class.php.

References PrototypedBuilder::getFormMapping(), Assert::isEqual(), and Assert::isInstance().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/EntityProto/Builders/FormBuilder.class.php